cURL
curl -i -X DELETE "https://api.box.com/2.0/archives/12345" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.archives.delete_archive_by_id_v2025_r0(archive.id)await client.archives.deleteArchiveByIdV2025R0(archive.id);try await client.archives.deleteArchiveByIdV2025R0(archiveId: archive.id)client.getArchives().deleteArchiveByIdV2025R0(archive.getId())await client.Archives.DeleteArchiveByIdV2025R0Async(archiveId: archive.Id);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}Archives
Delete archive
Permanently deletes an archive.
To learn more about the archive APIs, see the Archive API Guide.
This endpoint is currently unavailable. Please contact support for assistance.
DELETE
/
archives
/
{archive_id}
cURL
curl -i -X DELETE "https://api.box.com/2.0/archives/12345" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>"client.archives.delete_archive_by_id_v2025_r0(archive.id)await client.archives.deleteArchiveByIdV2025R0(archive.id);try await client.archives.deleteArchiveByIdV2025R0(archiveId: archive.id)client.getArchives().deleteArchiveByIdV2025R0(archive.getId())await client.Archives.DeleteArchiveByIdV2025R0Async(archiveId: archive.Id);{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}{
"type": "error",
"status": 400,
"code": "item_name_invalid",
"message": "Method Not Allowed",
"context_info": {
"message": "Something went wrong"
},
"help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
"request_id": "abcdef123456"
}This endpoint is not available on the Free Developer Plan. Upgrade here.
Learn more about Box SDK versioning strategy.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version header.
Available options:
2025.0 Path Parameters
The ID of the archive.
Response
Returns an empty response when the archive has been deleted.
Last modified on August 25, 2026
Was this page helpful?
